package ru.yandex.webmaster3.storage.user.message;

import lombok.ToString;

/**
 * @author avhaliullin
 */
@ToString
public class MessageUpdates {
    private final MessageId messageId;
    private final Boolean read;
    private final boolean deleted;

    public MessageUpdates(MessageId messageId, Boolean read, boolean deleted) {
        this.messageId = messageId;
        this.read = read;
        this.deleted = deleted;
    }

    public MessageId getMessageId() {
        return messageId;
    }

    public Boolean isRead() {
        return read;
    }

    public boolean isDeleted() {
        return deleted;
    }
}
